Skip to main content
POST
Record a payment

Authorizations

Authorization
string
header
required

An API key created in BeanRails, for example brk_live_....

Path Parameters

id
integer
required

The record ID.

Body

application/json
amount_paid
number
required

In major currency units, for example 250.00.

Required range: x >= 0
payment_method
enum<string>
required
Available options:
cash,
bank_draft,
qr_code,
credit_card,
cheque,
online_transfer,
telegraphic
payment_date
string<date>
required

YYYY-MM-DD.

status
enum<string>

Defaults to success.

Available options:
pending,
success,
failed,
cancelled,
in_progress,
refunded,
authorized,
declined,
expired,
under_review
ref_transaction_id
string

Your own reference, such as a bank transaction ID.

Maximum string length: 255

Response

The recorded payment.

data
object